Skip to content
Start here

Check target connectivity

r2.super_slurper.connectivity_precheck.target(ConnectivityPrecheckTargetParams**kwargs) -> ConnectivityPrecheckTargetResponse
PUT/accounts/{account_id}/slurper/target/connectivity-precheck

Check whether tokens are valid against the target bucket

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
bucket: str
secret: Secret
access_key_id: str
secret_access_key: str
vendor: Provider
jurisdiction: Optional[Literal["default", "eu", "fedramp"]]
One of the following:
"default"
"eu"
"fedramp"
ReturnsExpand Collapse
class ConnectivityPrecheckTargetResponse:
connectivity_status: Optional[Literal["success", "error"]]
One of the following:
"success"
"error"

Check target connectivity

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.r2.super_slurper.connectivity_precheck.target(
    account_id="account_id",
    bucket="bucket",
    secret={
        "access_key_id": "accessKeyId",
        "secret_access_key": "secretAccessKey",
    },
    vendor="r2",
)
print(response.connectivity_status)
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "connectivityStatus": "success"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "connectivityStatus": "success"
  },
  "success": true
}